#!/usr/bin/python3

import pytest
import yaml


@pytest.fixture(scope="module", params=[{'config': {'rspec': '/vagrant/test/streaming/rspec.yml'}}])
def streaming_config(request):
    """
    Reads the service configuration deployed for the streaming simulation test.

    :param request: access the parameters of the fixture
    :return: the python object representing the read YAML file
    """

    with open(request.param['config']['rspec'], 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded
